const Hapi = require('hapi');
const Pushpin = require('./pushpin_over_http.js');

const server = new Hapi.Server();

server.connection({
  port: 8080,
});

server.register({
  register: Pushpin,
}, (error) => {
  if(error) throw error;

  server.start((error) => {
    if (error) {
      throw error;
    }

    console.log(`Hapi Ready! ${server.info.port}`);
  });
});
